Subject: [netmod] notifications

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 18 Jan 2017 14:22:22 +0100

Hi,

if NETCONF WG moves away from RFC 5277, what does it mean for YANG? In my
opinion, we have two options:

1. remove references to 5277 from the YANG spec and define a notification
   as any data sent asynchronously by the server, or

2. generalize even more and treat a particular notification as just
   another type of data tree.

BTW, the Terminology section in RFC 7950 doesn't contain a definition of
a notification (unlike pretty much everything else). Is it just an
omission or was it intentional?

Lada

-------------------- Start of forwarded message --------------------
From: "Mehmet Ersue" <[email-masked]>
To: "'Netconf'" <[email-masked]>
Date: Wed, 18 Jan 2017 00:06:14 +0100
Subject: [Netconf] New Notification and Subscription Features WASFW: 3
 Options for Subscription & Event Notification draft structure

...

B) NETCONF co-chairs further propose that NETCONF WG should use its energy
in the future to complete and improve the new notification and subscription
RFCs and stop maintaining RFC 5277 for issues other than errata.  Note that
it is required that RFC 5277 and all new work needs to gracefully co-exist
in any deployment.  

-- 
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: 0xB8F92B08A9F76C67

---

From: Alexander Clemm <[email-masked]>
Date: Wed, 18 Jan 2017 18:57:32 +0000

Hi,

Per an earlier thread, it appeared to be sufficient to define a paragraph in the new RFC which "Updates: RFC 7950", with text that explains how YANG-defined notifications are encoded".  I do agree that conceptually, RFC 7950 should not contain dependencies on RFC 5277; short of making updates to RFC 7950 itself (not considered feasible) this should be a reasonable option.    

--- Alex

-----Original Message-----
From: netmod [mailto:[email-masked]] On Behalf Of Ladislav Lhotka
Sent: Wednesday, January 18, 2017 5:22 AM
To: [email-masked]
Subject: [netmod] notifications

Hi,

if NETCONF WG moves away from RFC 5277, what does it mean for YANG? In my opinion, we have two options:

BTW, the Terminology section in RFC 7950 doesn't contain a definition of a notification (unlike pretty much everything else). Is it just an omission or was it intentional?

Lada

-------------------- Start of forwarded message --------------------
From: "Mehmet Ersue" <[email-masked]>
To: "'Netconf'" <[email-masked]>
Date: Wed, 18 Jan 2017 00:06:14 +0100
Subject: [Netconf] New Notification and Subscription Features WASFW: 3  Options for Subscription & Event Notification draft structure

...

B) NETCONF co-chairs further propose that NETCONF WG should use its energy in the future to complete and improve the new notification and subscription RFCs and stop maintaining RFC 5277 for issues other than errata.  Note that it is required that RFC 5277 and all new work needs to gracefully co-exist in any deployment.  

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 18 Jan 2017 20:13:26 +0100

The only references to RFC 5277 in the YANG 1.1 specification I found
refers to the <notification> element. I do not see anything broken or
worth fixing.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Ladislav Lhotka <[email-masked]>
Date: Thu, 19 Jan 2017 08:00:08 +0100

> On 18 Jan 2017, at 20:13, Juergen Schoenwaelder <[email-masked]> wrote:
> 

Configuration and state data, RPC operations and everything else is defined in Section 3, either directly or by reference to RFC 6241. Notifications aren't.

Lada